Package org.apache.storm.grouping

## Class Load

- java.lang.Object
- - org.apache.storm.grouping.Load

-     public class Load
      extends Object

  Represents the load that a Bolt is currently under to help in deciding where to route a tuple, to help balance the load.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Load​(boolean hasMetrics, double boltLoad, double connectionLoad)` | Create a new load.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getBoltLoad()` | Get bolt load.
    `double` | `getConnectionLoad()` | Get connection load.
    `double` | `getLoad()` | Get load.
    `boolean` | `hasMetrics()` | Check whether has metrics.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Load

          public Load​(boolean hasMetrics,
                      double boltLoad,
                      double connectionLoad)

      Create a new load.
      Parameters:
        `hasMetrics` - have metrics been reported yet?
        `boltLoad` - the load as reported by the bolt 0.0 no load 1.0 fully loaded
        `connectionLoad` - the load as reported by the connection to the bolt 0.0 no load 1.0 fully loaded.

  - ### Method Detail

    - #### hasMetrics

          public boolean hasMetrics()

      Check whether has metrics.
      Returns:
        true if metrics have been reported so far.

    - #### getBoltLoad

          public double getBoltLoad()

      Get bolt load.
      Returns:
        the load as reported by the bolt.

    - #### getConnectionLoad

          public double getConnectionLoad()

      Get connection load.
      Returns:
        the load as reported by the connection

    - #### getLoad

          public double getLoad()

      Get load.
      Returns:
        the load that is a combination of sub loads.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`